package com.ruixuan.isc.mapper;

import com.ruixuan.isc.entity.KwaixiaodianItemGet;
import com.ruixuan.isc.entity.KwaixiaodianItemGetSku;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * kwaixiaodian商品详情Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-28
 */
public interface KwaixiaodianItemGetMapper {
    void replaceBatchKWaixiaodianItems(@Param("list") List<KwaixiaodianItemGet> list);

    void replaceKWaixiaodianItems(@Param("itemGet") KwaixiaodianItemGet itemGet);

    void replaceBatchKWaixiaodianItemSku(@Param("list") List<KwaixiaodianItemGetSku> list);

    Integer checkItem(@Param("companyId") Long companyId, @Param("itemId") Long itemId);

    List<KwaixiaodianItemGet> getItemList(Map<String, Object> requestMap);
}
