package com.ruixuan.isc.mapper;

import com.ruixuan.isc.entity.KwaixiaodianOrderCursorList;
import com.ruixuan.isc.entity.KwaixiaodianShopScore;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * kwaixiaodian商品详情Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-28
 */
public interface KwaixiaodianOrderCursorListMapper {

    void replaceBatchKWaixiaodianOrderCursorList(@Param("list") List<KwaixiaodianOrderCursorList> orderCursorList);

    void insertKWaixiaodianOrderCursorList(@Param("order") KwaixiaodianOrderCursorList order);

    int updateKWaiShopOrderStatus(@Param("oid") Long oid, @Param("status") Integer status);

    KwaixiaodianShopScore getScore(@Param("shopId") String shopId);

    void insertKwaixiaodianShopScore(@Param("shopScore") KwaixiaodianShopScore shopScore);

    void updateKwaixiaodianShopScore(KwaixiaodianShopScore shopScore);
}
